<div class="categories-list">
    <table *ngIf = "categories && categories.length; else noCategories">
      <tr>
        <th>ID</th>
        <th>Title</th>
      </tr>
      <tr *ngFor = "let category of categories" >
        <td>{{ category.id }}</td>
        <td>{{ category.title }}</td>
      </tr>
    </table>
    <ng-template #noCategories>
        <div>No categories found</div>
    </ng-template>
</div>
